# Create and Generate Experience POST /api/v1/experiences/generate/ Content-Type: application/json Creates a parent draft experience from provided RAG documents, studio/publication, and types, then starts parallel generation. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/experiences/generate-create ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/experiences/generate/: post: operationId: generate-create summary: Create and Generate Experience description: >- Creates a parent draft experience from provided RAG documents, studio/publication, and types, then starts parallel generation. tags: - subpackage_experiences responses: '201': description: '' content: application/json: schema: $ref: '#/components/schemas/ExperienceGenerationStartResponse' requestBody: content: application/json: schema: $ref: '#/components/schemas/ExperienceGenerateRequest' components: schemas: ExperienceGenerateRequest: type: object properties: rag_documents: type: array items: type: integer studio_id: type: integer description: Publication/Studio ID experience_types: type: array items: type: string required: - rag_documents - experience_types title: ExperienceGenerateRequest ExperienceGenerationStartResponse: type: object properties: message: type: string experience_id: type: integer job_id: type: integer status_url: type: string required: - message - experience_id - job_id - status_url title: ExperienceGenerationStartResponse ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/experiences/generate/" payload = { "rag_documents": [1024, 2048], "experience_types": ["interactive_tutorial", "video_lecture"] } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/experiences/generate/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"rag_documents":[1024,2048],"experience_types":["interactive_tutorial","video_lecture"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/experiences/generate/" payload := strings.NewReader("{\n \"rag_documents\": [\n 1024,\n 2048\n ],\n \"experience_types\": [\n \"interactive_tutorial\",\n \"video_lecture\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/experiences/generate/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"rag_documents\": [\n 1024,\n 2048\n ],\n \"experience_types\": [\n \"interactive_tutorial\",\n \"video_lecture\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/experiences/generate/") .header("Content-Type", "application/json") .body("{\n \"rag_documents\": [\n 1024,\n 2048\n ],\n \"experience_types\": [\n \"interactive_tutorial\",\n \"video_lecture\"\n ]\n}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/experiences/generate/', [ 'body' => '{ "rag_documents": [ 1024, 2048 ], "experience_types": [ "interactive_tutorial", "video_lecture" ] }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/experiences/generate/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"rag_documents\": [\n 1024,\n 2048\n ],\n \"experience_types\": [\n \"interactive_tutorial\",\n \"video_lecture\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "rag_documents": [1024, 2048], "experience_types": ["interactive_tutorial", "video_lecture"] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/experiences/generate/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```